Dieses Plugin ist nicht mit den jüngsten 3 Hauptversionen von WordPress getestet worden. Es wird möglicherweise nicht mehr gewartet oder unterstützt und kann Kompatibilitätsprobleme haben, wenn es mit neueren Versionen von WordPress verwendet wird.

WP Post Expires

Beschreibung

A simple plugin that allows to set the date for the posts, after which will be performed one of 3 actions: „Add prefix to title“, „Move to drafts“, „Move to trash“.

Funktionen:

  • Set post expire date and time
  • Support custom post type (post and pages by default)
  • Action for expired posts: move to drafts, move to trash or add custom prefix for title
  • Adds class „post-expired“ to post that expired on the site and in admin interface (for custom styles in theme)

Use in theme:

XNPostExpires::isExpired($post_id)

XNPostExpires::dateExpiration($post_id, $date_format)

Screenshots

  • Select date and time in post
  • Add personal prefix for any post
  • Standardeinstellungen

Installation

  1. Copy to plugins folder (/wp-content/plugins)

  2. Activate plugin from plugins page in admin interface

  3. Use the Settings->Reading Name screen to configure the plugin

Rezensionen

29. März 2019
guys, it is working completely fine. I personally tested on 5.1.1 wordpress. read the installation instruction. Thanks team.
23. August 2018
Upon first installation, the date picker doesn't work when trying to set the expiry date. Well, that basically renders this plugin useless. Great idea, but needs to work properly first.
19. Juli 2018
>>This plugin turns posts to a blank page when set a date to expire. same with me. Any ideas?
6. März 2018
I did not read the installation instructions carefully and thought the plugin would not work on CPTs. However, when I realized I did not configure it properly, I have come back here and changed my review. No issues at the moment. I like that it is a light-weight plugin. Not super fancy., but it works. Not seeing any follow-up from the developer on many user's questions in the support area.
14. März 2017
Doesn't work with SiteOrigin PageBuilder. When activated, PageBuilder doesn’t show up in Post/Page editor.
Lies alle 11 Rezensionen

Mitwirkende & Entwickler

„WP Post Expires“ ist Open-Source-Software. Folgende Menschen haben an diesem Plugin mitgewirkt:

Mitwirkende

„WP Post Expires“ wurde in 4 Sprachen übersetzt. Danke an die Übersetzerinnen und Übersetzer für ihre Mitwirkung.

Übersetze „WP Post Expires“ in deine Sprache.

Interessiert an der Entwicklung?

Durchstöbere den Code, sieh dir das SVN Repository an oder abonniere das Entwicklungsprotokoll per RSS.

Änderungsprotokoll

1.2.4

fix bugs classic editor/gutenberg js, tnx @micahjsharp

1.2.3

add status in post state
change logic for draft and trash, tnx @micahjsharp
use local wp timezone

1.2.2

support classic editor on wp 5.0+

1.2.1

Small fixes:
https://wordpress.org/support/topic/fatal-error-3074/ ( tnx @marknopfler )
https://wordpress.org/support/topic/fix-js-and-php-error/ ( tnx @lastant )

1.2

use DateTime Picker jQuery-ui
refactoring

1.1

conflicts resolved
fix datetime picker
update datetime picker

1.0.3

small fixes
add Italian translation (tnx, Paolo Centomani)

1.0.2

fix notice and accessing static property

1.0.1

fixed translation

1.0

init1 – Mr. Robot